Smtp_tls and SMTP/NET required failing


#1

I am trying to use the smtp_tls plugin to support gmail smtp servers.

I have plugin directory smtp_tls. There is a file smtp_tls.rb in the
directory. So I am not sure why this is failing.

I my config I have a require smtp_tls which is failing on startup.

I do not know if I have smtp/net installed, which is required by
smtp_tls.

This occurs on my dev and slicehost machines.

How do I find out if I have net::smtp ( etc ) installed ? If not How do
I install this ?


#2

Any help on this would be appreciated…

I have googled for a hour and cannot find anything…

I am a noob, but trying hard…


#3

fwiw,
Path to net/smtp:

root@host [/usr/local/lib/ruby/1.8/net]# ls -l
total 312
-rw-r–r-- 1 root root 22020 May 30 2007 ftp.rb
-rw-r–r-- 1 root root 1246 Feb 26 07:11 ftptls.rb
-rw-r–r-- 1 root root 65307 Oct 8 2007 http.rb
-rw-r–r-- 1 root root 4383 Feb 12 2007 https.rb
-rw-r–r-- 1 root root 101426 Jun 7 2008 imap.rb
-rw-r–r-- 1 root root 26360 Apr 25 2008 pop.rb
-rw-r–r-- 1 root root 7836 Mar 19 2007 protocol.rb
-rw-r–r-- 1 root root 28245 Apr 15 2008 smtp.rb
-rw-r–r-- 1 root root 32451 May 18 2008 telnet.rb
-rw-r–r-- 1 root root 8003 Feb 26 07:11 telnets.rb

On Mar 26, 10:19 pm, Bartee L. removed_email_address@domain.invalid